org.apache.hc.client5.http.impl

## Class CookieSpecSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.CookieSpecSupport

    @Internal
    public final class CookieSpecSupport
    extends Object

Cookie support methods.

Since:
  5.0

### Method Summary

Methods
`static Lookup<CookieSpecProvider>` `createDefault()` Creates the default registry, using the default public suffix matcher.
`static Lookup<CookieSpecProvider>` `createDefault(PublicSuffixMatcher publicSuffixMatcher)` Creates the default registry with the provided public suffix matcher
`static RegistryBuilder<CookieSpecProvider>` `createDefaultBuilder()` Creates a builder containing the default registry entries with the default public suffix matcher.
`static RegistryBuilder<CookieSpecProvider>` `createDefaultBuilder(PublicSuffixMatcher publicSuffixMatcher)` Creates a builder containing the default registry entries, using the provided public suffix matcher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createDefaultBuilder

    public static RegistryBuilder<CookieSpecProvider> createDefaultBuilder(PublicSuffixMatcher publicSuffixMatcher)

Creates a builder containing the default registry entries, using the provided public suffix matcher.

#### createDefaultBuilder

    public static RegistryBuilder<CookieSpecProvider> createDefaultBuilder()

Creates a builder containing the default registry entries with the default public suffix matcher.

#### createDefault

    public static Lookup<CookieSpecProvider> createDefault()

Creates the default registry, using the default public suffix matcher.

#### createDefault

    public static Lookup<CookieSpecProvider> createDefault(PublicSuffixMatcher publicSuffixMatcher)

Creates the default registry with the provided public suffix matcher